package com.xunhong.erp.turbo.api.user.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum SourceChannelEnum {
	/**
	 * 1:微信 2:管理后台 3:老板端 4:抖音 5:转介绍
	 */
	WECHAT("1", "微信"),
	MANAGE_BACKEND("2", "管理后台"),
	BOSS_END("3", "老板端"),
	DOUYIN("4", "抖音"),
	INTRODUCE("5", "转介绍");

	@EnumValue
	private final String code;
	private final String message;
}
